//********************************************************************************************************
// Call of Duty World at War - AWE5 Modification
//********************************************************************************************************
// author   : Wizzard220/Tally/Zeroy/Wilcard and RGN Dev team
// website  : http://forums.raidersmerciless.com/index.php
// mod      : AWE5 Multimode
// version  : Public Release 2.5
// update   : September 2010
//********************************************************************************************************

//#########################################################################################################
//	AWE MULTI MODE SWITCHES
//#########################################################################################################
//========================================================================================================
// Set Only 1 (One) of these at any one time. So, all the others should be set to 0, while one of them 
// should be set to 1. Then, uncomment (remove the double //) from in front of its config file (if it
// has one).
//========================================================================================================
//========================================================================================================
// 	AWE POWER RANK
//========================================================================================================
//if set to 1, uncomment the config execution.
set awe_power_rank 0

//========================================================================================================
// 	AWE STOCK RANKING
//========================================================================================================
//Set this to activate stock ranking with unlocks for each level
set awe_stock_ranking 0

//========================================================================================================
// 	AWE NO RANKING
//========================================================================================================
//Set this to de-activate stock ranking
set awe_unranked 1

//==============================================================================
// 	AWE FORCE WEAPONS 
//==============================================================================
//if set to 1, uncomment the config execution.
set awe_force_weapons 0

exec forceweapons.cfg

//==============================================================================
//	SERVER INFO SCREEN
//==============================================================================
set scr_motd "^3Welcome to the ^1-=^2ETM^1=-^3BattleServer^5.nl"

set scr_server_rule_1 "Rule 1. Dont Cheat!"
set scr_server_rule_2 "Rule 2. Dont Abuse the server"
set scr_server_rule_3 "Rule 3. Dont Chat Spam"
set scr_server_rule_4 "Rule 4. Have Fun!"
set scr_server_rule_5 "Rule 5. Don't Whine!"

// You can also have map defined rules as shown below:
// set scr_server_rule_1_mp_carentan "Rule Carentan. Dont Cheat!"
//=========================================================================================================
// 	AWE Hardcore
//=========================================================================================================
//1 = on, 0 = off. Default = 0.
set awe_hardcore 0

//Dvar to set minimap on all the time. 0 = off (default), 1 = on.
//set awe_hardcore_show_minimap 0

//*********************************************************************************************************
//	AWE PRE MATCH SETTINGS AND TEAM BALANCING
//*********************************************************************************************************
//=========================================================================================================
//	In order to get teambalancing next round working, AWE5 made changes to some stock IW settings. 
//	If "awe_teambalance_nextround" is set to 1, or if gametype delay is used, 
//	scr_game_playerwaittime/scr_game_matchstarttime do not work
//=========================================================================================================
//Team Balance. Must be set to 1 even if you have awe_teambalance_nextround on
set awe_teambalance 1
//set this if you want balancing second round onwards, turn off if you want balancing every round			
set awe_teambalance_nextround 0 
	
//does not work with balance next round or gametype delay
set scr_game_playerwaittime 0 
//does not work with balance next round or gametype delay		
set scr_game_matchstarttime 0		

//Pre Match Warm Up. max: 30 mins (1800 seconds)
set awe_gametype_delay 10 		

//**********************************************************************************************************************************************************
// Spectate parameters.
//**********************************************************************************************************************************************************
// Time after that the player have become idle, that the player should be forced to spectate. (If this value is 0, the player won't be forced to spectate).
//set awe_idle_switch_spectator "120"

// Time after that the player have been forced to spectate, that the player should be kicked. (If this value is 0, the player won't be kicked).
// if a "awe_idle_switch_spectator" time has been set be sure to set this to 0 or if you want them to be kicked a value higher then the above one.
//set awe_idle_spectator_timeout "240"

// 0 = Do not show a warning message (default), 1 = Show a warning message before taking action against idle players.
set awe_idle_show_warning "1"

// Protected tags protect players wearing them from being kicked when idle, tags are separated by spaces.
// Tags are case sensitive!!!
//set awe_idle_protected_tags "[RGN]"

// Protected GUIDs protect the clients they belong to from being kicked when idle. (separate each GUID with a semicolon).
//set awe_idle_protected_guids ""

//*********************************************************************************************************
//	AWE SERVER SETTINGS (Misc)
//*********************************************************************************************************
// Force Remove Console on Clients (default is 1 = on)
// set awe_disableClientConsole "0"

// Forfeit option, turn to 0 to avoid game ending if all players on one side leave, default is 1
//set awe_forfeit "0"

// Sound Occlusion On/Off. default is 1 (on)
//set awe_enable_soundocclusion "1"

// Quickmessage Sounds Override 
// Set to 0 to disable sounds, sound folder can then be removed from awe5.iwd, default is 1
//set awe_quickmsgsound "0"

//Anti Lag override, yes = 1, no = 0, default = 0
set awe_anti_lag 0

//grace period time. Max: 45 seconds
//set awe_graceperiod 10
 			
//force auto assign, yes = 1, no = 0, default = 0
//set awe_force_autoassign 1

//turn off or on deathicons, yes = 1, no = 0, default = 1
set awe_death_icons 1 

//turn off grenade indicators. 1 = off, 0 = on (default = 1)			
set awe_no_grenadeindicator 1
	
//length of time on leader boards before rotating. max: 120 secs	
set awe_intermission_time 15 
	
//toggle shellshock effects, yes = 1, no = 0, default = 1	
set awe_shellshock 1

//toggle earthquake effects, yes = 1, no = 0, default = 1
set awe_earthquakes 1

//edit server gravity. default = 800
set awe_gravity 800

//Allow Add to Favourite Menu 1 = on, 0 = off (default = 1)
set awe_allow_favmenu 1

// Compass hitblip, 0 = off, 1 = on, default = 0.
set awe_showcompassping "1"

//*********************************************************************************************************
//	AWE WEAPON POOLS
//*********************************************************************************************************
//=========================================================================================================
// Will only work for maps supporting SAB when running TDM, FFA or CH.If your server crashes on a custom map 
// when running any of those gametypes, check if the map supports SAB. 
// **** Castle is not supported as well as HTF or CTFB gametypes ****
//=========================================================================================================
//Toggle on or off - 1 = on, 0 = off (default = off)
//set awe_weapon_pools 1

//time for weapons to respawn
set awe_weappool_respawntime 20

//Set number of weapons to spawn. Max = 6
set awe_weappool_maxnum 6

//Set the weapons to use. Get a list of these from the bottom of forceweapons.cfg
//Must match number of weapons to spawn.

set awe_weappool_weapname1 "bar_mp"
set awe_weappool_weapname2 "gewehr43_mp"
set awe_weappool_weapname3 "kar98k_mp"
set awe_weappool_weapname4 "m1carbine_bayonet_mp"
set awe_weappool_weapname5 "mp40_mp"
set awe_weappool_weapname6 "mosinrifle_scoped_mp"

//*********************************************************************************************************
//	AWE5 SPOTTING - Since 2.5
//*********************************************************************************************************
// Spotting is done by ADS on Binoculars -[USE] key to spot

// Set Range for spotting - 1000 is 10 meters or 11 yards approximately * set to 0 to disable spotting * max = 50000 * default = 5000
// set awe_spotting_distance "0"

// Set if infos on spottee should be printed on screen (for spotter only) * 1 is on, 0 is Off * Default is 1
//set awe_spotting_print "0"

// Set the units to use for the print infos * 1 is in yards and 2 is in Meters, Default is 1 (yards)
//set awe_spotting_units "2"

// Set if spotter should "shout" + team chat about the spot * 1 is on, 0 is Off * Default is 1
//set awe_spotting_shout "0"

// Set if Spottee should be marked on Minimap * 1 is on, 0 is Off * Default is 1
//set awe_spotting_ping "0"

// Set the marking on minimap dureation * max = 999, Default is 15 seconds
//set awe_spotting_ping_time "30"

//*********************************************************************************************************
//	AWE5 ANTI CAMPER
//*********************************************************************************************************

// Maximum allowed camping time for non snipers, in seconds (0 = disabled, default = 0).
set awe_anticamp_time "30"

// Minimum distance to move away to escape from camping for non snipers, in COD units (default = 150).
set awe_anticamp_distance "300"

// Maximum allowed camping time for snipers, in seconds (0 = disabled, default = 0).
//set awe_anticamp_time_sniper "300"

// Minimum distance to move away to escape from camping for snipers, in COD units (default = 150).
//set awe_anticamp_distance_sniper "75"

// Camping msg (style), 0 = off, 1 = sound only, 2 = middle hud mesages no sound,
// 3 = uphud messages no sound, 4 = middle hud messages plus sound,
// 5 = uphud messages plus sound, default = 4.
//set awe_campmsg "5"

// Punishments for campers.
// 0 = Random, any of the following.
// 1 = Mark camper on compass.
// 2 = Lose 50% health every 5 seconds.
// 3 = Farting.
// 4 = Drop weapon, keep in shellshock.
// 5 = Explode.
set awe_anticamp_punishments "3"

// Fartsound, 0 = only you can hear it, 1 = everyone can hear it, default = 0
set awe_farthearall "1"

// Anti camping works as follows :
// After awe_anticamp_time seconds, the player will receives the punishment.
// If the player moves away, his punishment will stop and he will obviously no longer be considered as a camper.

//*********************************************************************************************************
//	AWE MAP ROTATION SETTINGS
//*********************************************************************************************************
//=========================================================================================================
// 	Automaticly try to fix errors in maprotation (0 = no, 1 = yes) (default 0)
// 	After this has been done the dvar will be set to "0" so that it will only run when you start the server
// 	or reload your config file.
//=========================================================================================================
set awe_fix_maprotation "0"

//=========================================================================================================
// 	Use random map rotation (0 = off, 1 = on) (default 0)
// 	See the use_readme file for an explanation how this works.
//=========================================================================================================
set awe_random_maprotation "0"

// Rotate map if server is empty for x seconds (0 = disable feature) (default 30)
set awe_rotate_if_empty "360"

//**********************************************************************************************************
//	AWE TEAM SWITCH
//**********************************************************************************************************
//Do not have both set to "1" - otherwise switching wont work!
set awe_switchteams 0 			//set this to "1" to switch every round
set awe_switchteams_halftime 0 	//set this to HALF your roundlimit (roundlimit must be an even number)

//*********************************************************************************************************
// 	AWE MESSAGE CENTER
//*********************************************************************************************************
//=========================================================================================================
//	Welcome Messages
//=========================================================================================================
set awe_welcome_msg_num 2 		//Must set the amount of welcome messages * max: 5
set awe_welcome_msg_delay 4 		//Delay between each welcome message
set awe_welcome_msg_type 0 		//Set this to "1" if you dont want ticker-tape type welcome
set awe_welcome_msg1 "Welcome to the ^1-=^2ETM^1=-^3BattleServer"
set awe_welcome_msg2 "Running ^1*|^3AWE5 2.0^1|*"

//=========================================================================================================
//	Server Messages
//=========================================================================================================
// Delay between server messages in seconds (default 30)
set awe_message_delay "30"

// Show next map and/or gametype as first message (0 = no, 1 = only map, 2 = lite, 3 = normal, 4 = extra) (default 2)
set awe_message_next_map "0"

// Loop messages (0 = no, 1 = yes) (default 1)
set awe_message_loop "1"

// Show messages for each player, idealy use this when message looping is turned off (0 = no, 1 = yes) (default 0)
//set awe_message_individual "0"

//set awe_message0 "^2No Recruiting Or Voice Chat Spamming"
//set awe_message1 "^3Cheaters Will be Banned"
//set awe_message2 "visit me at ^2http://www.raidersmerciless.com"

//*************************************************************************************************************
// 	AWE ENDGAME MAP VOTING
//*************************************************************************************************************
//=============================================================================================================
// Vote for the next map from 7 random candidates (0 = no, 1 = yes) (default 0)
//
// NOTE! Enabling this will disable random maprotation and the next map/gametype messages
//=============================================================================================================
set awe_map_vote "1"

// Timout for voting in seconds (min 10, max 180) (default 30)
set awe_map_vote_time "15"

// Make last alternative an option to replay the same map (0 = no, 1 = yes) (default 0)
set awe_map_vote_replay "0"

//=============================================================================================================
//	NEXT MAP VOTE EXTENSION FEATURES
//
// 	This feature allows you to use the next map voting option in a different way.
// 	Next map/gametype will not be chosen from the rotation, but from a list specified by the following dvars :
//
// 	awe_map_vote_gametypes : set the available gametypes on your server you allow to vote for
// 	awe_map_vote_<gametype>_maps : for each of the gametype that you have set in awe_map_vote_gametypes, you have to 
//	specify all the maps that you allow to vote for and that are available for that gametype
//
// 	This helps to avoid voting for incompatible or unwanted maps/gametypes
// 	Example :
// 	set awe_map_vote_gametypes "ctf war dm"
// 	set awe_map_vote_ctf_maps "mp_makin mp_dome mp_seelow mp_downfall"
// 	set awe_map_vote_war_maps "mp_outskirts mp_upheaval mp_dome"
// 	set awe_map_vote_dm_maps "mp_shrine mp_downfall mp_makin_day mp_hangar"
//	set sv_mapRotationCurrent ""
//
// 	During map vote, 5 couples of map/gametype will be randomly choosen and proposed to the player.
//
//	For instance, with the example above:
// 	Makin(war)
// 	Dome(dm)
// 	Downfall(war)
// 	Hangar(ctf)
// 	Shrine(dm)
//
//	2nd Example: CTF map voting
//	set awe_map_vote_gametypes "ctf"
//	set awe_map_vote_ctf_maps "mp_makin mp_dome mp_seelow mp_downfall mp_makin_day mp_hangar mp_shrine mp_outskirts mp_upheaval"
//	set g_gametype "ctf"
//	set sv_mapRotationCurrent ""
//
//=============================================================================================================

set awe_map_vote_gametypes "dm tdm koth sd sab dom twar"

set awe_map_vote_dm_maps "mp_airfield mp_asylum mp_castle mp_courtyard mp_dome mp_downfall mp_hangar mp_makin mp_outskirts mp_roundhouse mp_seelow mp_shrine mp_suburban mp_nachtfeuer mp_subway mp_kneedeep mp_docks mp_kwai mp_vodka mp_bgate mp_drum"
set awe_map_vote_tdm_maps "mp_airfield mp_asylum mp_castle mp_courtyard mp_dome mp_downfall mp_hangar mp_makin mp_outskirts mp_roundhouse mp_seelow mp_shrine mp_suburban mp_nachtfeuer mp_subway mp_kneedeep mp_docks mp_kwai mp_vodka mp_bgate mp_drum"
set awe_map_vote_koth maps "mp_airfield mp_asylum mp_castle mp_courtyard mp_dome mp_downfall mp_hangar mp_makin mp_outskirts mp_roundhouse mp_seelow mp_shrine mp_suburban mp_nachtfeuer mp_subway mp_kneedeep mp_docks mp_kwai mp_vodka mp_bgate mp_drum"
set awe_map_vote_sd_maps "mp_airfield mp_asylum mp_castle mp_courtyard mp_dome mp_downfall mp_hangar mp_makin mp_outskirts mp_roundhouse mp_seelow mp_shrine mp_suburban mp_nachtfeuer mp_subway mp_kneedeep mp_docks mp_kwai mp_vodka mp_bgate mp_drum"
set awe_map_vote_sab_maps "mp_airfield mp_asylum mp_castle mp_courtyard mp_dome mp_downfall mp_hangar mp_makin mp_outskirts mp_roundhouse mp_seelow mp_shrine mp_suburban mp_nachtfeuer mp_subway mp_kneedeep mp_docks mp_kwai mp_vodka mp_bgate mp_drum"
set awe_map_vote_dom_maps "mp_airfield mp_asylum mp_castle mp_courtyard mp_dome mp_downfall mp_hangar mp_makin mp_outskirts mp_roundhouse mp_seelow mp_shrine mp_suburban mp_nachtfeuer mp_subway mp_kneedeep mp_docks mp_kwai mp_vodka mp_bgate mp_drum"
set awe_map_vote_twar_maps "mp_airfield mp_asylum mp_castle mp_courtyard mp_dome mp_downfall mp_hangar mp_makin mp_outskirts mp_roundhouse mp_seelow mp_shrine mp_suburban mp_nachtfeuer mp_subway mp_kneedeep mp_docks mp_kwai mp_vodka mp_bgate mp_drum"
set awe_map_vote_ihtf_maps "mp_airfield mp_asylum mp_castle mp_courtyard mp_dome mp_downfall mp_hangar mp_makin mp_outskirts mp_roundhouse mp_seelow mp_shrine mp_suburban mp_nachtfeuer mp_subway mp_kneedeep mp_docks mp_kwai mp_vodka mp_bgate mp_drum"
set awe_map_vote_ctfb_maps "mp_airfield mp_asylum mp_castle mp_courtyard mp_dome mp_downfall mp_hangar mp_makin mp_outskirts mp_roundhouse mp_seelow mp_shrine mp_suburban mp_nachtfeuer mp_subway mp_kneedeep mp_docks mp_kwai mp_vodka mp_bgate mp_drum"

//*********************************************************************************************************
//	AWE MOD INFO
//*********************************************************************************************************
//When on, this replaces the XP ticker along the bottom of the screen. When off, the XP ticker returns (see also clan (text) logo)
//1 = show, 0 = dont show (default = 1)
set awe_show_modinfo 1

//*********************************************************************************************************
//	AWE CLAN LOGO (Text)
//*********************************************************************************************************
//When on, this replaces the XP ticker along the bottom of the screen. When off, the XP ticker returns (see also mod info)
//1 = left, 2 = center, 0 = dont show (default = 1)
set awe_show_server_logo 1

//Text to use
set awe_server_logo_text "^1-=^2ETM^1=-^3BattleServer^5.nl"

//*********************************************************************************************************
//	AWE CLAN LOGO (Shader)
//*********************************************************************************************************
set awe_show_logo 1 		//must be set to 1 to show either awe logo, or custom one.
set awe_logo_looptime 25 	//max is 1 hour

//=========================================================================================================
//	These settings set the image file to use. If no custom image has been used, keep to using the stock
//	awe logo (logo00.iwi). If a custom one has been created (by editing logo01.iwi), use the custom one
//=========================================================================================================
set awe_use_awe_logo 1
//Custom logo
set awe_use_custom_logo 0
//set the width of your custom logo. Max is 512
set awe_custom_logo_width 120
//set the depth of your custom logo. Max is 512
set awe_custom_logo_depth 120

//*********************************************************************************************************
//	AWE TEAM STATUS
//*********************************************************************************************************
set awe_show_teamstatus 1

//*********************************************************************************************************
//	AWE WEAPON SETTINGS
//*********************************************************************************************************
//Drop weapons on death?
//Primary
set awe_dropweapon_none 0 		//universal "off" var
set awe_assault_dropweapon 1
set awe_specops_dropweapon 1
set awe_sniper_dropweapon 1
set awe_demolitions_dropweapon 1
set awe_heavygunner_dropweapon 1

//Grenades
set awe_drop_none 1 		//universal "off" var
set awe_drop_primary 0
set awe_drop_secondary 0
set awe_drop_satchel 0
set awe_drop_betty 0
set awe_drop_bazooka 0
//**********************************************************************************************************
//	AWE TEAM KILLING SETTINGS
//**********************************************************************************************************
set awe_teamKill_PunishCount 2 		//point loss starts after this number, punishment starts after this number
set awe_teamKill_respawndelay 10 		//must be greater than 0 to begin punishments
set awe_teamKill_punish_method "suicide" 	//possible settings: "suicide", "kick"

//*********************************************************************************************************
//	AWE ANTI-BUNNY HOPPING/ANTI-DIVEBOMBING/ANTI-JUMP SHOOTING SETTINGS
//*********************************************************************************************************
//=========================================================================================================
//	(Dive-bombing is jumping, and then going prone while all the time shooting)
//=========================================================================================================
set awe_anti_dbbh 3 			//0 = off, 1 = anti-divebombing, 2 = anti-bunnyhopping, 3 = All (default is 3)
set awe_anti_dbbh_jump_height 16 	//max: 100 (default is 16)

//***********************************************************************************************************
//	AWE SPECTATING
// 	This returns to the COD2 method
//***********************************************************************************************************
set awe_spectatefree 1
set awe_spectateenemy 0 \\default is off.

//***********************************************************************************************************
//	AWE CROSSHAIR SETTINGS AND OVERHEAD RANKNAMES
//***********************************************************************************************************
//Turn off crosshairs
set awe_no_crosshairs 1

//Turn off or on enemy crosshair names and ranks. 1 = on, 0 = off (default = 1)
set awe_allow_enemy_crosshairnames 1

//Turn off overhead friendly ranknames. 0 = off, adjust from 0.1 - 1.0. max = 1.0 (default = 0.5) 
set awe_remove_overhead_ranknames 0.5

//=========================================================================================================
// Disable hiticons when damaging enemies
// 0 = disable. 1 = show hiticons on players only, 2 = show hiticons on players and through walls
//=========================================================================================================
set awe_show_hiticons "1"

//=========================================================================================================
//	AWE Laserdot - will show on Hardcore also
//=========================================================================================================
// Enable laserdot (default 0)
//set awe_laserdot 1

// Laserdot transparency (0 = invisible, 1 = solid) (default 0.8)
//set awe_laserdot_alpha "0.8"

// Size of dot
set awe_laserdot_size "2" //default is 2, max: 10

// Color (default 1,0,0)
set awe_laserdot_red "1"
set awe_laserdot_green "0"
set awe_laserdot_blue "0"

//**********************************************************************************************************
// 	AWE DEAD BODY HANDLING
//**********************************************************************************************************
// Remove bodies (0 = no, 1 = yes) (default 0)
set awe_remove_bodies "0"

// Sink body before removing (0 = no, 1 = yes) (default 0)
//set awe_remove_bodies_sink "1"

// Blood pool under body when hit on Torso and on ground, 1 = On, 0 = Off, Default = 1
//
set awe_bloodpool "1"

//************************************************************************************************************
//	AWE SHOW OBJECTIVE POINTS
//************************************************************************************************************
//turn on or off objective indicators on the compass 
set awe_compass_objectivepoints 1

//turn on or off objective indicators on the map 
set awe_map_objectivepoints 1

//turn on or off objectives in game
set awe_objective_floatpoints 1

//turn on or off the Bomb carrier in SAB
set awe_hidebombcarrier 1

//************************************************************************************************************
//	AWE VEHICLE HEALTH (since AWE5 2.5)
//************************************************************************************************************
// Sets health level for vehicles if present in the maps. Minimum is 100 and max is 9999. default below.
set awe_panzer4_health "2600"
set awe_t34_health "2600"
set awe_sherman_health "2600"
set awe_panther_health "2600"
set awe_tiger_health "2600"
set awe_halftrack_health "1600"
set awe_truckusa_health "1600"
//************************************************************************************************************